Subject: G98 on OSF memory fault allocation

From: Piero Ugliengo <[email-masked]>
Date: Sun, 4 Mar 2001 13:14:21 +0100 (CET)

Dear netters,
I have succefully installed G98 rev A.7 on an a 
Digital OSF1 workstation
equipped with 512MB memory and 1.5Gb swap area.
However, as soon as I try to run a job asking for 
more than 100MB
it immediately fails with the message:

malloc failed.: Not enough space
sh: 1144 Memory fault

Here is the offending test job:
%mem=128MB
#p test  opt  b3lyp/aug-cc-pvdz  scf=direct

test hf
 
0 1
f
h 1 hf

hf 0.9241

In the following I enclose some basic info about 
OS release 
and f77 version:

csh>uname -a
OSF1  V4.0 878 alpha

csh>f77 -what
        DIGITAL Fortran 77 Driver V5.0-7
        DIGITAL Fortran 77 V5.0-138-3678F

csh>limit
cputime         unlimited
filesize        unlimited
datasize        131072 kbytes
stacksize       2048 kbytes
coredumpsize    0 kbytes
memoryuse       506088 kbytes
descriptors     4096 files
addressspace    1048576 kbytes

Also attached are the basic options of the g98.make
file:
#
BSDDIR = bsd
MAKELOC = -f $(BSDDIR)/g98.make
BSDDIR1 = ../bsd
MAKELOC1 = -f $(BSDDIR1)/g98.make
UTILDIR = ..
#
# The utility library:
#
GAULIBA = util.a
GAULIB = util.so
#
# Directory pointers only used for linking the 
profiling version:
#
GSDIR = .
GDIR = ../g98
#
# Standard dimensioning definitions.
#
#
PCMDIM = -DDEFMXTS=1500 -DDEFMXBAS=500 -DDEFMXOPT=50 
-DDEFMXBOND=12 -DDEFMXSPH=250 -DDEFMXINV=1500 
INCDIR = -I$(g98root)/g98
DIMENS = $(INCDIR) -DDEFMAXSHL=20000 -DDEFMAXATM=20000

-DDEFMAXNZ=20000 -DDEFMAXINFO=200 -DDEFNVDIM=257 \
 -DDEFARCREC=1024 -DDEFLMAX=13 -DDEFCACHE=256
-DDEFN3MIN=10 
-DDEFMAXOP=120 -DDEFMAXTIT=100 -DDEFMAXRTE=4000
-DDEFMAXOV=500 \
 -DDEFMAXIOP=100 -DDEFMAXCHR=1024 -DDEFMAXHEV=2000
-DDEFMAXLECP=10 
-DDEFMAXFUNIT=5 -DDEFMAXFFILE=10000 -DDEFMAXFPS=1300
$(PCMDIM)
#
# These commands are converted to "on machine command"
for remote-
# control compilation.
#
RUNCC = cc
RUNAR  = ar
RUNRAN = ranlib
RUNCPP = gau-cpp
RUNFSP = gau-fsplit
#RUNCPP = /lib/cpp -P -C
#
# Standard compilation flags:
#
MERGELOOPS = -DMERGE_LOOPS
#AIO = -DASYNCH_IO
#AIOLIB = -laio
#PARFLAG = -DGAUSS_PAR
PMMFLAG = -DUSE_PMM
PARFLAG = -DGAUSS_PAR -DGAUSS_THPAR
THLIB = -threads
ALPHADEF = -DALPHA_OSF1 -DI64 -DUSE_SYSV $(DIMENS) \
  $(AIO) $(MERGELOOPS) $(PARFLAG) $(PMMFLAG)
-DLITTLE_END $(DEBUGP)
#
#
OPTFLAG = -O5
COPTFLAG = -O -tune host
EXTOBJ =
RUNF77 = f77 
#SHARE = -non_shared
#FAST = -math_library fast
ALPHA = -i8 -r8 -align dcommons -tune host $(FAST)
$(SHARE) 
-trapuv $(THLIB) \
  -assume noaccuracy_sensitive
FFLAGS = $(OPTFLAG) $(ALPHA) 
CFLAGS = $(ALPHADEF) $(COPTFLAG) -trapuv
NOOPT= -O0 $(ALPHA)
OPT1 = -O1 $(ALPHA)
OPT4 = -O4 $(ALPHA)
ESSLLOC = -ldxml 
ESSLLIB = $(ESSLLOC) $(AIOLIB)
#
# Default suffixes:
#
Thank you for the help.

Piero Ugliengo
Dip. Chimica IFM
Via P. Giuria 7
I-10125 Torino
e-mail: [email-masked]

=====
Prof. Piero Ugliengo
Dip. Chimica IFM
Via P. Giuria, 7
I-10125 Torino
ITALY
Voice:  +39-011-6707140
Fax:    +39-011-6707855

______________________________________________________________________
Do You Yahoo!?
Il tuo indirizzo gratis e per sempre @yahoo.it su http://mail.yahoo.it